#
# spec file for package lv (Version 4.49.4)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir base bash bindutil bison bzip compress cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm

Name:         lv
Copyright:    GPL
Group:        Applications/Text
Autoreqprov:  on
Version:      4.49.4
Release:      368
Url:          http://www.ff.iij4u.or.jp/~nrt/lv/
Source:       http://www.ff.iij4u.or.jp/~nrt/freeware/lv4494.tar.bz2
Patch0:       lv4494-security.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Powerful Multilingual File Viewer, same user interface as "less"

%description
lv is a powerful multilingual file viewer. Apparently, lv looks like
less (1), a representative file viewer on UNIX as you know, so UNIX
people (and less people on other OSs) don't have to learn a burdensome
new interface.


lv can decode and encode multilingual streams through many coding
systems. lv can be used not only as a file viewer but also as a
coding-system translation filter.


lv can recognize multi-bytes patterns as regular expressions, and lv
also provides multilingual grep (1) functionality by giving it another
name, lgrep.


lv can recognize ANSI escape sequences for text decoration.

Authors:
--------
    NARITA Tomio <nrt@ff.iij4u.or.jp>

SuSE series: j

%prep
%setup -n lv4494 
%patch0 -p1 -b .security

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config -f src }}
pushd build
    CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64" \
    CXXFLAGS="$RPM_OPT_FLAGS  -D_FILE_OFFSET_BITS=64" \
    ../src/configure --prefix=/usr \
		     --mandir=%{_mandir} \
		     --infodir=%{_infodir} \
		     --sysconfdir=/etc
    make 
popd

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT%{_mandir}/man1
make -C build \
     prefix=$RPM_BUILD_ROOT/usr \
     mandir=$RPM_BUILD_ROOT%{_mandir} \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     sysconfdir=$RPM_BUILD_ROOT/etc \
     install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc GPL.txt README *.html hello* 
%doc %{_mandir}/man1/*
/usr/bin/*
/usr/lib/*

%changelog -n lv
* Tue May 20 2003 - mfabian@suse.de
- add security patch: Don't read .lv located at the current
  directory. This fix prevents a possible local root exploit using
  config files.
* Fri Feb 02 2001 - mfabian@suse.de
- new package: lv 4.49.4
